#ifndef __SUBSCRIPTIONWINDOW_HPP
#define __SUBSCRIPTIONWINDOW_HPP

#include <SophiaFramework.hpp>

SFMTYPEDEFCLASS(SubscriptionWindow)
class SubscriptionWindow : public SFRTitleWindow {
    SFMSEALCOPY(SubscriptionWindow)
private:
    // \s̐擪
    SInt16 _displine;
    // J[\̈ʒu
    SInt16 _cursor;
    // \̍s
    SInt16 _maxline;
    //ړ͈̔
    SInt16 _move;
    // HTTP ڑp
    SFXHTTPConnection _http;
    SFXAnsiStringStreamReader _reader;
    // Mf[^𗭂߂镶
    SFXAnsiString _xml;
    SFXRectangle _currentRect;
public:
    SubscriptionWindow(SFXRectangleConstRef rectangle) static_throws;
    static Void SetSoftkey(Void);
private:
    Void DisplayErrorDialog(Void);
    Void UpdateMainWindow(Void);
    // `nh
    HANDLER_DECLARE_VOIDRENDER(OnRenderContent)
    // L[nh
    HANDLER_DECLARE_BOOLEVENT(OnKey) static_throws
    // _CAOnh
    HANDLER_DECLARE_VOIDDIALOG(StartConnection) static_throws

    // HTTP ڑJñR[obN
    XALLBACK_DECLARE_SFXHTTPCONNECTION(ConnectCallback)
    // HTTP MR[obN
    XALLBACK_DECLARE_SFXBINARYSTREAMREADER(FetchCallback)
};

#endif //__SUBSCRIPTIONWINDOW_HPP
