#ifndef __INPUTWINDOW_HPP
#define __INPUTWINDOW_HPP

#include <SophiaFramework.hpp>

SFMTYPEDEFCLASS(InputWindow)
class InputWindow : public SFRTitleWindow {
    SFMSEALCOPY(InputWindow)
private:
    // eLXgRg[
    SFREditboxControlPtr _titleTextControl;
    SFREditboxControlPtr _urlTextControl;

public:
    InputWindow(Void);
    static Void SetSoftkey(Void);
private:
    // L[nh
    HANDLER_DECLARE_BOOLEVENT(OnKey)
    // {^nh
    HANDLER_DECLARE_VOIDCONTROL(OkButtonHandler)
    // {^nh
    HANDLER_DECLARE_VOIDCONTROL(CancelButtonHandler)
    // _CAOnh
    HANDLER_DECLARE_VOIDDIALOG(EndHandler)
};

#endif //__INPUTWINDOW_HPP
